import 'package:flutter/material.dart';
import 'package:flutter_mobx/flutter_mobx.dart';
import 'package:healthrian_ble_support_for_wearecg12/healthrian_ble_support_for_wearecg12.dart';
import 'package:healthrian_visualization_support/healthrian_visualization_support.dart';

class BlePage extends StatelessWidget {
  const BlePage({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: ListView(
        children: [
          Observer(
            key: UniqueKey(),
            builder: (context) {
              return StreamBuilder(
                stream: BLEManager().streams.heartRateStream,
                builder: (context, snapshot) {
                  if (!snapshot.hasData) return const Text('No Stream');
                  return Text(snapshot.data.toString());
                },
              );
            },
          ),
          // EcgWearECG(
          //   wrapperWidget: (children) {
          //     return children[0];
          //   },
          // ),
          // EcgWearECG(
          //   wrapperWidget: (children) {
          //     return children[4];
          //   },
          // ),
          // EcgWearECG(
          //   wrapperWidget: (children) {
          //     return children[5];
          //   },
          // ),
          const EcgWearECG(),
        ],
      ),
      floatingActionButton: const ControlPanelWearECG(),
    );
  }
}
